View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000061OpenFOAM[All Projects] Bugpublic2010-10-23 21:572011-09-14 10:57
Reporterwyldckat 
Assigned Toadministrator 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version10.04
Product Version1.7.x 
Target VersionFixed in Version2.0.x 
Summary0000061: New users that use the Debian packages are unable to build the utility ccm26ToFoam
DescriptionNew users who aren't familiar with OpenFOAM's requirements and build structure, will get stuck when trying to build the optional utility ccm26ToFoam, since the ThirdParty folder isn't included in the deb packages for Ubuntu.

A solution based on the original 1.7.1 "source packages" version is posted here: http://www.cfd-online.com/Forums/openfoam/73356-star-ccm-mesh-o-f-2.html#post280437 [^]
Additional InformationSide note: Since this utility is optional, there might a necessity to warn/ask the user about the license for using libccmio in "AllwmakeLibccmio", similarly to how it is done by Qt's config system (Qt's asks if the license to be used is LGPL or commercial). By what I've read from FreeFOAM's online documentation (http://freefoam.sourceforge.net/downloads/v0.1.0rc1/README.html#libccmio [^]), it seems logical that such warning/question is given to the user.

I suggest something like:«Have you requested permission to use the library "libccmio-2.6.1" from CD-adapco (geoffrey dot prewett at us dot cd-adapco dot com)? (yes/no)»

Of course that since no license/"copying" file is packaged with "libccmio-2.6.1.tar.gz", it also seems logical to keep things as they are...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000584)
wyldckat (reporter)
2011-07-21 21:36

Greetings!

I hate to bump up the oldest unassigned issue on the list (although already acknowledged), but since with OpenFOAM 2.0.0 things have changed a bit, here is the adapted version of the original report for this version: http://www.cfd-online.com/Forums/openfoam/73356-star-ccm-mesh-o-f-2.html#post316994 [^]

Best regards
(0000655)
andy (manager)
2011-09-14 10:57

We've updated the AllwmakeLibccmio script, to offer guidance re: obtaining the library and terms of use. For more info, see:

d797e8ade54381d6452f2a0cbcbdae3c609f27b5

- Issue History
Date Modified Username Field Change
2010-10-23 21:57 wyldckat New Issue
2010-11-02 17:13 andy Status new => acknowledged
2011-07-21 21:36 wyldckat Note Added: 0000584
2011-09-14 10:57 andy Note Added: 0000655
2011-09-14 10:57 andy Status acknowledged => closed
2011-09-14 10:57 andy Assigned To => administrator
2011-09-14 10:57 andy Resolution open => fixed
2011-09-14 10:57 andy Fixed in Version => 2.0.x